Issue 101741 - Fix the usage of GetInitFileDate().
Summary: Fix the usage of GetInitFileDate().
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m47
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.1.1
Assignee: thorsten.martens
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 101565
  Show dependency tree
 
Reported: 2009-05-11 07:57 UTC by mikhail.voytenko
Modified: 2010-03-11 11:31 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Configuration file containing entry, that turns using of system file locking off for document files. (966 bytes, text/plain)
2009-06-29 11:44 UTC, mikhail.voytenko
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description mikhail.voytenko 2009-05-11 07:57:00 UTC
As mentioned in issue 96751, the call to GetInitFileDate() is currently done
when it is not really necessary. The call is part of the OOo document file
locking and should be used only in this context.
So the proposed changes are:
- use the call only for documents, since it is related to OOo document file
locking functionality
- use the call only for editable documents
- use the call only in case of file protocol
Comment 1 mikhail.voytenko 2009-05-11 12:10:26 UTC
Setting the target.
Comment 2 mikhail.voytenko 2009-06-05 13:25:37 UTC
Should be fixed in mav53 now.
Comment 3 mikhail.voytenko 2009-06-25 10:35:35 UTC
adding cd in CC
Comment 4 carsten.driesner 2009-06-25 12:20:12 UTC
cd: Fix reviewed.
Comment 5 mikhail.voytenko 2009-06-29 11:41:39 UTC
mav->of: Please verify the issue. Unfortunately there is no way to verify that
the unnecessary request does not happen any more, the functionality is still
blocked by other places affecting the scenario of issue 96751. So the only check
that can be done in the QA, is that the fixed functionality still works well.

To check it please do the following:
- copy the attached version of the Common.xml file to the user configuration to
turn system file locking off
- start the office
- create new document and store it
- change the timestamp of the document file ( for example using "touch
<filename>" command )
- change the document in the office and try to store it
The error message should notify that the document has been changed during the
editing
Comment 6 mikhail.voytenko 2009-06-29 11:44:01 UTC
Created attachment 63267 [details]
Configuration file containing entry, that turns using of system file locking off for document files.
Comment 7 Olaf Felka 2009-06-29 11:52:10 UTC
@ tm: Please take over.
Comment 8 thorsten.martens 2009-07-07 13:27:14 UTC
checked and verified in cws mav53 -> OK !
Comment 9 thorsten.martens 2010-03-11 11:31:06 UTC
closed !